import { IProperty } from '../IProperty.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { AbstractPropertiesService } from './AbstractPropertiesService.js';
import { RefreshMode } from '../IPropertiesService.js';
import { IPropertyGroup } from '../IPropertyGroup.js';
export declare class CommonPropertiesService extends AbstractPropertiesService {
    getRefreshMode(designItem: IDesignItem): RefreshMode;
    private commonProperties;
    name: string;
    isHandledElement(designItem: IDesignItem): boolean;
    getProperty(designItem: IDesignItem, name: string): Promise<IProperty>;
    getProperties(designItem: IDesignItem): Promise<IProperty[] | IPropertyGroup[]>;
}
